// SMS-TCP Gateway
//
// Site Data File
//
//--------------------------------------------------------------------------------------------------------------------------------------

//  The following parameters must be initialized

int ServicePort=17165;                    // TCP Port To Listen On

// SiteDefaults is run initially on the first boot of the device.  These settings are then loaded into the EEPROM.
// Subsequent device reboots will read directly from the EEPROM (if valid) so settings can be changed remotely.
// If the EEPROM is cleared, the settings below will then be re-applied

// *** Each Field is 19 Chars Maximum! (20 including the terminating NULL char) ***

int SiteDefaults() {

// REQUIRED:  TCP Config must be set prior to first boot (but may be changed via SMS Command)
strcpy(ServerIP, "192.168.0.2");            // IP Address of Server for processing SMS Messages

// OPTIONAL:  May be set via SMS Command
strcpy(Password, "secret");                 // Password for Device (Command) Authorization (Change This!)
strcpy(DevName,  "");                       // Site Name (for device notifications)
strcpy(DevNum,   "");                       // Device Cell Number (READABLE for Display)

SMSDev.AuthorizeCaller("+15555551212");     // First Auth Caller is NOTIFY number
}
